.main-wrapper > footer {

}

footer .footer-main-wrapper {
    background-color: var(--dark-bg-color);
    padding: 3rem 0;
    color: var(--main-bg-color);
}

footer .footer-main-wrapper .content-wrapper {
    align-items: flex-start;
}

footer .footer-main-wrapper .footer-block .footer-block-header {
    display: flex;
    margin-bottom: 15px;
    color: var(--main-bg-color);
    font-size: 20px;
    font-weight: bold;
    text-transform: uppercase;
    align-items: center;
}

footer .footer-main-wrapper .footer-block .footer-block-header svg {
    margin-right: 15px;
    width: 48px;
    fill: var(--main-bg-color);
}

footer .footer-main-wrapper .footer-block .footer-block-content p {
    margin: 0 0 15px;
    color: var(--text-color-gray);
    font-size: 12px;
    line-height: 16px;
}

footer .footer-main-wrapper .footer-block-logo {
    padding-top: 30px;
    width: 210px;
}

footer .footer-main-wrapper .footer-block-logo .custom-logo-link {
    display: block;
    font-size: 0;
}

footer .footer-main-wrapper .footer-block-logo .custom-logo-link .custom-logo {
    max-width: 100%;
    height: auto;
}

footer .footer-main-wrapper .footer-socials-wrapper {
    display: flex;
    margin-top: 20px;
    padding-left: 20px;
    align-items: center;
    justify-content: center;
}

footer .footer-main-wrapper .footer-socials-wrapper .social-network {
    display: block;
    margin: 0 10px;
    font-size: 0;
    transition: opacity var(--transition);
}

footer .footer-main-wrapper .footer-socials-wrapper .social-network:hover {
    opacity: 0.7;
}

footer .footer-main-wrapper .footer-socials-wrapper .social-network svg {
    width: 22px;
    height: 22px;
    fill: var(--main-bg-color);
}

footer .footer-main-wrapper .footer-socials-wrapper .social-network-facebook svg {
    width: 20px;
    height: 20px;
}

footer .footer-main-wrapper .footer-block-navigation {
    padding-left: 56px;
    width: calc(100% - 440px);
}

footer .footer-main-wrapper .footer-block-navigation .menu {
    display: flex;
    margin: 0;
    padding: 0;
    max-width: 440px;
    flex-wrap: wrap;
}

footer .footer-main-wrapper .footer-block-navigation .menu .menu-item {
    display: block;
    margin-bottom: 8px;
    padding-right: 20px;
    width: 50%;
}

footer .footer-main-wrapper .footer-block-navigation .menu .menu-item a {
    font-size: 12px;
    color: var(--main-bg-color);
    text-decoration: none;
    transition: opacity var(--transition);
}

footer .footer-main-wrapper .footer-block-navigation .menu .menu-item a:hover {
    opacity: 0.7;
}

footer .footer-main-wrapper .footer-block-support {
    width: 230px;
}

footer .footer-bottom-wrapper {
    padding: 22px 0;
    background-color: var(--optional-dark);
    color: var(--main-bg-color);
}

footer .footer-bottom-wrapper .content-wrapper {
    justify-content: center;
}

footer .footer-bottom-wrapper .copyright-wrapper {
    color: var(--text-color-gray);
    font-size: 12px;
}

@media screen and (max-width: 1024px) {
    footer .footer-main-wrapper .footer-block-navigation .menu .menu-item {
        padding: 0;
        width: 100%;
    }
}

@media screen and (max-width: 768px) {
    footer .footer-main-wrapper {
        padding: 1rem 0;
    }

    footer .footer-main-wrapper .content-wrapper {
        flex-direction: column;
        align-items: center;
        gap: 20px;
    }

    footer .footer-main-wrapper .footer-socials-wrapper {
        padding: 0;
    }

    footer .footer-main-wrapper .footer-block-navigation {
        padding: 0;
        width: 200px;
        text-align: center;
    }

    footer .footer-main-wrapper .footer-block-navigation .footer-block-header {
        display: none;
    }

    footer .footer-main-wrapper .footer-block-support {
        display: none;
    }
}